LogoRecal
Rest apiEndpoints

List Events

GET
/v1/users/{userId}/calendar/events

List events of a user across all their calendars

AuthorizationBearer <token>

Recal API token

In: header

Path Parameters

userId*string
Match^[A-Za-z0-9][A-Za-z0-9._-]{2,127}$

Query Parameters

end*string

End time of the time range in ISO format

Match^([+-]?\d{4}(?!\d{2}\b))((-?)((0[1-9]|1[0-2])(\3([12]\d|0[1-9]|3[01]))?|W([0-4]\d|5[0-3])(-?[1-7])?|(00[1-9]|0[1-9]\d|[12]\d{2}|3([0-5]\d|6[1-6])))(T((([01]\d|2[0-3])((:?)[0-5]\d)?|24:?00)([,.]\d+(?!:))?)?(\17[0-5]\d([,.]\d+)?)?([Zz]|([+-])([01]\d|2[0-3]):?([0-5]\d)?)?)?)?$
start*string

Start time of the time range in ISO format

Match^([+-]?\d{4}(?!\d{2}\b))((-?)((0[1-9]|1[0-2])(\3([12]\d|0[1-9]|3[01]))?|W([0-4]\d|5[0-3])(-?[1-7])?|(00[1-9]|0[1-9]\d|[12]\d{2}|3([0-5]\d|6[1-6])))(T((([01]\d|2[0-3])((:?)[0-5]\d)?|24:?00)([,.]\d+(?!:))?)?(\17[0-5]\d([,.]\d+)?)?([Zz]|([+-])([01]\d|2[0-3]):?([0-5]\d)?)?)?)?$
calendarIds?string|array<string>
provider?array<>|unknown|unknown

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v1/users/user_123/calendar/events?end=string&start=string"
{  "data": [    {      "attendees": [        {          "email": "string",          "original": null,          "self": true        }      ],      "calendarId": "string",      "id": "string",      "original": null,      "description": "string",      "end": "2019-08-24T14:15:22Z",      "location": "string",      "metaId": "string",      "start": "2019-08-24T14:15:22Z",      "subject": "string"    }  ]}